Subject: [dhcwg] [Technical Errata Reported] RFC8415 (6183)

From: RFC Errata System <[email-masked]>
Date: Tue, 19 May 2020 12:17:46 -0700 (PDT)

The following errata report has been submitted for RFC8415,
"Dynamic Host Configuration Protocol for IPv6 (DHCPv6)".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6183

--------------------------------------
Type: Technical
Reported by: Fernando Gont <[email-masked]>

Section: 18.3.8

Original Text
-------------
   After all the addresses have been processed, the server generates a
   Reply message by setting the "msg-type" field to REPLY and copying
   the transaction ID from the Decline message into the "transaction-id"
   field.  The client includes a Status Code option (see Section 21.13)
   with the value Success, a Server Identifier option (see Section 21.3)
   with the server's DUID, and a Client Identifier option (see
   Section 21.2) with the client's DUID

Corrected Text
--------------
   After all the addresses have been processed, the server generates a
   Reply message by setting the "msg-type" field to REPLY and copying
   the transaction ID from the Decline message into the "transaction-id"
   field.  The server includes a Status Code option (see Section 21.13)
   with the value Success, a Server Identifier option (see Section 21.3)
   with the server's DUID, and a Client Identifier option (see
   Section 21.2) with the client's DUID

Notes
-----
The corrected text replaces "client" with "server".

I would like to thank Timothy Winters <[email-masked]> for confirming that this is a bug in the specification.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8415 (draft-ietf-dhc-rfc3315bis-13)
--------------------------------------
Title               : Dynamic Host Configuration Protocol for IPv6 (DHCPv6)
Publication Date    : November 2018
Author(s)           : T. Mrugalski, M. Siodelski, B. Volz, A. Yourtchenko, M. Richardson, S. Jiang, T. Lemon, T. Winters
Category            : PROPOSED STANDARD
Source              : Dynamic Host Configuration
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 19 May 2020 21:19:44 +0000

Hi:

Yes, this is a good catch. It is a valid errata.

- Bernie

-----Original Message-----
From: RFC Errata System <[email-masked]> 
Sent: Tuesday, May 19, 2020 3:18 PM
To: [email-masked]; [email-masked]; Bernie Volz (volz) <[email-masked]>; Andrew Yourtchenko (ayourtch) <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; Eric Vyncke (evyncke) <[email-masked]>; Bernie Volz (volz) <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Technical Errata Reported] RFC8415 (6183)

The following errata report has been submitted for RFC8415, "Dynamic Host Configuration Protocol for IPv6 (DHCPv6)".

Section: 18.3.8

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please use "Reply All" to discuss whether it should be verified or rejected. When a decision is reached, the verifying party can log in to change the status and edit the report, if necessary.

---

From: Erik Kline <[email-masked]>
Date: Thu, 21 May 2020 07:23:59 -0700

Thanks. Marked as Verified.